//Source file: GetFolderInfoPropertiesListener.java
//Date: November 2006
//Multi Media Messaging for for 3GPP TS 29.198-15 V6.4.0

package org.csapi.jr.se.mmm;

/**
 * This interface is to be implemented for receiving events issued by the GetFolderInfoProperties activity object.<BR>
 *
 */
public interface GetFolderInfoPropertiesListener extends java.util.EventListener {


   /**
    * Called due to a Gateway initiated call to the getFolderInfoPropertiesRes() method on 
    * the callback interface.
    *
    * @param  getFolderInfoPropertiesResEvent  Reference to a GetFolderInfoPropertiesResEvent event 
    *        emmited from the impl or activity object. 
    */
    void onGetFolderInfoPropertiesResEvent(org.csapi.jr.se.mmm.GetFolderInfoPropertiesResEvent getFolderInfoPropertiesResEvent);


   /**
    * Called due to a Gateway initiated call to the getFolderInfoPropertiesErr() method on 
    * the callback interface.
    *
    * @param  getFolderInfoPropertiesErrEvent  Reference to a GetFolderInfoPropertiesErrEvent event 
    *        emmited from the impl or activity object. 
    */
    void onGetFolderInfoPropertiesErrEvent(org.csapi.jr.se.mmm.GetFolderInfoPropertiesErrEvent getFolderInfoPropertiesErrEvent);


}
