//Source file: MmmCannotCancelException.java
//Date: November 2006
//Multi Media Messaging for for 3GPP TS 29.198-15 V6.4.0

package org.csapi.jr.se.mmm;

/**
 * The message cannot be cancelled
 *
 */
public class MmmCannotCancelException extends org.csapi.jr.se.mmm.MultiMediaMessagingException {

    private Throwable _cause = null;

    public MmmCannotCancelException() {
        super(); 
    }

    public MmmCannotCancelException(String message) {
        super(message); 
    }

    public MmmCannotCancelException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public MmmCannotCancelException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // MmmCannotCancelException

