//Source file: MmmDeliveryTypeMessageTypeMismatchException.java
//Date: November 2006
//Multi Media Messaging for for 3GPP TS 29.198-15 V6.4.0

package org.csapi.jr.se.mmm;

/**
 * The message format does not match the message delivery type
 *
 */
public class MmmDeliveryTypeMessageTypeMismatchException extends org.csapi.jr.se.mmm.MultiMediaMessagingException {

    private Throwable _cause = null;

    public MmmDeliveryTypeMessageTypeMismatchException() {
        super(); 
    }

    public MmmDeliveryTypeMessageTypeMismatchException(String message) {
        super(message); 
    }

    public MmmDeliveryTypeMessageTypeMismatchException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public MmmDeliveryTypeMessageTypeMismatchException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // MmmDeliveryTypeMessageTypeMismatchException

