//Source file: MmmInvalidPropertyException.java
//Date: November 2006
//Multi Media Messaging for for 3GPP TS 29.198-15 V6.4.0

package org.csapi.jr.se.mmm;

/**
 * The property name is invalid
 *
 */
public class MmmInvalidPropertyException extends org.csapi.jr.se.InvalidArgumentException {

    private Throwable _cause = null;

    public MmmInvalidPropertyException() {
        super(); 
    }

    public MmmInvalidPropertyException(String message) {
        super(message); 
    }

    public MmmInvalidPropertyException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public MmmInvalidPropertyException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // MmmInvalidPropertyException

