//Source file: MmmMaxSubjectSizeExceededException.java
//Date: November 2006
//Multi Media Messaging for for 3GPP TS 29.198-15 V6.4.0

package org.csapi.jr.se.mmm;

/**
 * The maximum size of the subject field has been exceeded
 *
 */
public class MmmMaxSubjectSizeExceededException extends org.csapi.jr.se.mmm.MultiMediaMessagingException {

    private Throwable _cause = null;

    public MmmMaxSubjectSizeExceededException() {
        super(); 
    }

    public MmmMaxSubjectSizeExceededException(String message) {
        super(message); 
    }

    public MmmMaxSubjectSizeExceededException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public MmmMaxSubjectSizeExceededException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // MmmMaxSubjectSizeExceededException

