//Source file: MultiMediaMessagingListener.java
//Date: November 2006
//Multi Media Messaging for for 3GPP TS 29.198-15 V6.4.0

package org.csapi.jr.se.mmm;

/**
 * This interface is to be implemented for receiving events issued by the MultiMediaMessaging service object.<BR>
 *
 */
public interface MultiMediaMessagingListener extends java.util.EventListener {


   /**
    * Called due to a Gateway initiated call to the messageReceived() method on 
    * the callback interface.
    *
    * @param  messageReceivedEvent  Reference to a MessageReceivedEvent event 
    *        emmited from the impl or activity object. 
    */
    void onMessageReceivedEvent(org.csapi.jr.se.mmm.MessageReceivedEvent messageReceivedEvent);

}

