//Source file: NotificationsInterruptedEvent.java
//Date: November 2006
//Multi Media Messaging for for 3GPP TS 29.198-15 V6.4.0

package org.csapi.jr.se.mmm;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the notificationsInterrupted() method on the callback interface 
 * has occurred.<BR>
 *
 */
public final class NotificationsInterruptedEvent extends java.util.EventObject {

    /**
     * Constructor for the NotificationsInterruptedEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public NotificationsInterruptedEvent(java.lang.Object source) {

        super(source);
 
    }

}

