//Source file: CreateFolderListener.java
//Date: November 2006
//Multi Media Messaging for for 3GPP TS 29.198-15 V6.4.0

package org.csapi.jr.se.mmm;

/**
 * This interface is to be implemented for receiving events issued by the CreateFolder activity object.<BR>
 *
 */
public interface CreateFolderListener extends java.util.EventListener {


   /**
    * Called due to a Gateway initiated call to the createFolderRes() method on 
    * the callback interface.

    *
    * @param  createFolderResEvent  Reference to a CreateFolderResEvent event 
    *        emmited from the impl or activity object. 
    */
    void onCreateFolderResEvent(org.csapi.jr.se.mmm.CreateFolderResEvent createFolderResEvent);


   /**
    * Called due to a Gateway initiated call to the createFolderErr() method on 
    * the callback interface.

    *
    * @param  createFolderErrEvent  Reference to a CreateFolderErrEvent event 
    *        emmited from the impl or activity object. 
    */
    void onCreateFolderErrEvent(org.csapi.jr.se.mmm.CreateFolderErrEvent createFolderErrEvent);



}
