//Source file: MmmInvalidDeliveryTimeException.java
//Date: November 2006
//Multi Media Messaging for for 3GPP TS 29.198-15 V6.4.0

package org.csapi.jr.se.mmm;

/**
 * The requested delivery time is invalid
 *
 */
public class MmmInvalidDeliveryTimeException extends org.csapi.jr.se.InvalidArgumentException {

    private Throwable _cause = null;

    public MmmInvalidDeliveryTimeException() {
        super(); 
    }

    public MmmInvalidDeliveryTimeException(String message) {
        super(message); 
    }

    public MmmInvalidDeliveryTimeException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public MmmInvalidDeliveryTimeException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // MmmInvalidDeliveryTimeException

