//Source file: MmmInvalidFolderIdException.java
//Date: November 2006
//Multi Media Messaging for for 3GPP TS 29.198-15 V6.4.0

package org.csapi.jr.se.mmm;

/**
 * The folder ID is invalid
 *
 */
public class MmmInvalidFolderIdException extends org.csapi.jr.se.InvalidArgumentException {

    private Throwable _cause = null;

    public MmmInvalidFolderIdException() {
        super(); 
    }

    public MmmInvalidFolderIdException(String message) {
        super(message); 
    }

    public MmmInvalidFolderIdException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public MmmInvalidFolderIdException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // MmmInvalidFolderIdException

