//Source file: NotificationsListener.java
//Date: November 2006
//Multi Media Messaging for for 3GPP TS 29.198-15 V6.4.0

package org.csapi.jr.se.mmm;

/**
 * This interface is to be implemented for receiving events issued by the Notifications activity object.<BR>
 *
 */
public interface NotificationsListener extends java.util.EventListener {


   /**
    * Called due to a Gateway initiated call to the reportNotification() method on 
    * the callback interface.
    *
    * @param  reportNotificationEvent  Reference to a ReportNotificationEvent event 
    *        emmited from the impl or activity object. 
    */
    void onReportNotificationEvent(org.csapi.jr.se.mmm.ReportNotificationEvent reportNotificationEvent);

}
